#pragma once
#ifdef OLIVIA_COMPILA
#include "olv.h"
/**
*	@file olv_thr.h
*	Archivo de variables comunes a los threads de cálculo de Olivia.
*/
class COlivia;
#define OLV_MILIS_COLA		200		//! Milisegundos de iteración de la cola
/**
*	Clase de variables y funciones comunes a los threads de cálculo de Olivia.
*/
class Colv_thr
{
public:
	//*************************************************************************************
    //Variables
	int				progreso;
	int				tarea;
	char			msg_proce[OLV_MAX_MSG_PROCE];
	COlivia			*olv;	
	//*************************************************************************************
    //Funciones
public:	
	Colv_thr(COlivia *olv);
	~Colv_thr(void);

	void pon_mi_progre(int tar, int prog);
	void pon_mi_msg(char *fmt, ...);
	void pon_olv_progre();
};
#endif
